# Gimp.Image.merge_down

    @accepts(Gimp.Image, Gimp.Layer, Gimp.MergeType)
    @returns(Gimp.Layer)
    def merge_down(self, merge_layer, merge_type):
        # Python wrapper for gimp_image_merge_down()

Merge the layer passed and the first visible layer below.

This procedure combines the passed layer and the first visible layer below it using the specified merge type. A merge type of EXPAND_AS_NECESSARY expands the final layer to encompass the areas of the visible layers. A merge type of CLIP_TO_IMAGE clips the final layer to the extents of the image. A merge type of CLIP_TO_BOTTOM_LAYER clips the final layer to the size of the bottommost layer.

self

  The image.

merge_layer

  The layer to merge down from.

merge_type

  The type of merge.

Returns